#ifndef YIELD
#define YIELD

class YieldCurve {
  public:
    virtual double r0(double t);
    virtual double r0t(double t);
    double b0f(double t, double T);
    double bond(double t, double T, double r, double V);
    double swap(double t, double T, int n, double d, double k, double r, double V);
    double IRS(double t, double T, int n, double d, double r, double V);
};

#endif